<?php

require_once 'sag/src/Sag.php';

// change these to match your setup
const YOUR_COUCH = ''; // ex: bigbluehat in bigbluehat.cloudant.com
const CLOUDANT_KEY = ''; // username
const CLOUDANT_SECRET = ''; // password

// Customize these to match your environment.
$couch = new Sag(YOUR_COUCH . '.cloudant.com', '5984');
// set the database you'll be using
$couch->setDatabase('comics');
// authenticate--this will be your Cloudant Key and Secret (respectively)
// unless you are hosting your own Apache CouchDB or using IrisCouch.com
$couch->login(CLOUDANT_KEY, CLOUDANT_SECRET);

try {
	// do a "light weight" HEAD request to see if the design doc is up there
	// already
	$rv = $couch->head('_design/searchsimply');
	if ($rv->status == 200) {
		// if it is, we use the '_rev' attribute--CouchDB's MVCC "append only"
		// database format of greatness at work here--to update the document with
		// the one we've just selected
		$json = json_decode(file_get_contents($argv[1]));
		$json->_rev = trim($rv->headers->etag, '"');
		try {
			$rv = $couch->put('_design/searchsimply', json_encode($json));
			if ($rv->status >= 200) {
				echo "The design doc was successfully updated.";
			}
		} catch (SagCouchException $e) {
			print_r($e->getMessage());
		}
	}
} catch (SagCouchException $e) {
	// design doc isn't in this database yet
	if ($e->getCode() == "404") {
		// so let's upload it!
		$rv = $couch->put('_design/searchsimply', file_get_contents($argv[1]));
		if ($rv->status >= 200) {
			echo "The design doc was successfully imported.";
		}
	}
}
